Skip to content
Uranus Docs
Esc
↑↓navigate↵open⌘Jpreview

3. Get events using JSON payload for filtering

Returns events matching the supplied JSON filter object.

Unknown JSON properties are ignored by the current implementation. Array-valued properties are represented as JSON arrays.

POST/api/events/filter
Request body
requiredapplication/json
offsetinteger<int64>
min 0
limitinteger<int64>
min 0
startstring
matches ^\d{4}-\d{2}-\d{2}$
endstring
matches ^\d{4}-\d{2}-\d{2}$
timestring
categoriesinteger[]
searchstring
venuestring
space_typesstring[]
countriesstring[]
postal_codestring
titlestring
citystring
event_typesinteger[]
genresinteger[]
tagsstring[]
accessibilitystring
visitor_infosstring
agestring
pricestring
lonnumber<double>
latnumber<double>
radiusnumber<double>
last_event_start_atstring
last_event_date_uuidstring
langstring
portalstring
org_uuidsstring[]
venue_uuidsstring[]
space_uuidsstring[]
event_uuidsstring[]
geolist_regionstring
Responses
200

Events returned successfully.

eventsGetEvents.EventResponse[]required
Show properties
Array of GetEvents.EventResponse
search_ranknumber<float>required
uuidstringrequired
date_uuidstringrequired
date_slugstringrequired
titlestringrequired
subtitlestring | any
Show properties
Any of:
string
string
any
any
summarystring | any
Show properties
Any of:
string
string
any
any
start_datestringrequired
start_timestring | any
Show properties
Any of:
string
string
any
any
end_datestring | any
Show properties
Any of:
string
string
any
any
end_timestring | any
Show properties
Any of:
string
string
any
any
entry_timestring | any
Show properties
Any of:
string
string
any
any
durationinteger | any
Show properties
Any of:
integer
integer
any
any
all_dayboolean | any
Show properties
Any of:
boolean
boolean
any
any
ticket_linkstring | any
Show properties
Any of:
string
string
any
any
space_uuidstring | any
Show properties
Any of:
string
string
any
any
space_namestring | any
Show properties
Any of:
string
string
any
any
space_accessibility_flagsstring | any
Show properties
Any of:
string
string
any
any
venue_uuidstring | any
Show properties
Any of:
string
string
any
any
venue_namestring | any
Show properties
Any of:
string
string
any
any
venue_citystring | any
Show properties
Any of:
string
string
any
any
venue_streetstring | any
Show properties
Any of:
string
string
any
any
venue_house_numberstring | any
Show properties
Any of:
string
string
any
any
venue_postal_codestring | any
Show properties
Any of:
string
string
any
any
venue_statestring | any
Show properties
Any of:
string
string
any
any
venue_countrystring | any
Show properties
Any of:
string
string
any
any
venue_latnumber<double> | any
Show properties
Any of:
number<double>
number<double>
any
any
venue_lonnumber<double> | any
Show properties
Any of:
number<double>
number<double>
any
any
image_uuidstring | any
Show properties
Any of:
string
string
any
any
image_pathstring | any
Show properties
Any of:
string
string
any
any
image_ai_labelstring | any
Show properties
Any of:
string
string
any
any
org_uuidstringrequired
org_namestringrequired
categoriesinteger[]
event_typesGetEvents.EventType[]
Show properties
Array of GetEvents.EventType
type_idintegerrequired
genre_idintegerrequired
languagesstring[]required
tagsstring[]required
min_ageinteger | anyrequired
Show properties
Any of:
integer
integer
any
any
max_ageinteger | anyrequired
Show properties
Any of:
integer
integer
any
any
price_typestring | any
Show properties
Any of:
string
string
any
any
min_pricenumber<double> | any
Show properties
Any of:
number<double>
number<double>
any
any
max_pricenumber<double> | any
Show properties
Any of:
number<double>
number<double>
any
any
currencystring | any
Show properties
Any of:
string
string
any
any
visitor_info_flagsstring | any
Show properties
Any of:
string
string
any
any
release_statusstring | any
Show properties
Any of:
string
string
any
any
last_event_date_uuidstring | any
Show properties
Any of:
string
string
any
any
last_event_start_atstring | any
Show properties
Any of:
string
string
any
any
400

Invalid request or filter parameter.

object
500

Internal server error.

object
Try it
Server
Bodyapplication/json
Request
curl -X POST "https://api.kulturbytes.de/api/events/filter" \
  -H "Content-Type: application/json" \
  -d '{
  "offset": 0,
  "limit": 0,
  "start": "string",
  "end": "string",
  "time": "string",
  "categories": [
    0
  ],
  "search": "string",
  "venue": "string",
  "space_types": [
    "string"
  ],
  "countries": [
    "string"
  ],
  "postal_code": "string",
  "title": "string",
  "city": "string",
  "event_types": [
    0
  ],
  "genres": [
    0
  ],
  "tags": [
    "string"
  ],
  "accessibility": "string",
  "visitor_infos": "string",
  "age": "string",
  "price": "string",
  "lon": 0.1,
  "lat": 0.1,
  "radius": 0.1,
  "last_event_start_at": "string",
  "last_event_date_uuid": "string",
  "lang": "string",
  "portal": "string",
  "org_uuids": [
    "string"
  ],
  "venue_uuids": [
    "string"
  ],
  "space_uuids": [
    "string"
  ],
  "event_uuids": [
    "string"
  ],
  "geolist_region": "string"
}'
Response
{
  "events": [
    {
      "search_rank": 0.1,
      "uuid": "string",
      "date_uuid": "string",
      "date_slug": "string",
      "title": "string",
      "subtitle": "string",
      "summary": "string",
      "start_date": "string",
      "start_time": "string",
      "end_date": "string",
      "end_time": "string",
      "entry_time": "string",
      "duration": 0,
      "all_day": true,
      "ticket_link": "string",
      "space_uuid": "string",
      "space_name": "string",
      "space_accessibility_flags": "string",
      "venue_uuid": "string",
      "venue_name": "string",
      "venue_city": "string",
      "venue_street": "string",
      "venue_house_number": "string",
      "venue_postal_code": "string",
      "venue_state": "string",
      "venue_country": "string",
      "venue_lat": 0.1,
      "venue_lon": 0.1,
      "image_uuid": "string",
      "image_path": "string",
      "image_ai_label": "string",
      "org_uuid": "string",
      "org_name": "string",
      "categories": [
        0
      ],
      "event_types": [
        {
          "type_id": 0,
          "genre_id": 0
        }
      ],
      "languages": [
        "string"
      ],
      "tags": [
        "string"
      ],
      "min_age": 0,
      "max_age": 0,
      "price_type": "string",
      "min_price": 0.1,
      "max_price": 0.1,
      "currency": "string",
      "visitor_info_flags": "string",
      "release_status": "string"
    }
  ],
  "last_event_date_uuid": "string",
  "last_event_start_at": "string"
}